APR-1-CONFIG(1)

NAME
apr-1-config - Return metainformation about apr library

SYNOPSIS
apr-1-config [OPTION]

DESCRIPTION
The apr-1-config program is used to retrieve information about the apr library in the system. It is typically used to compile and link against the library.

When linking with libtool, an application should do something like:

    APR_LIBS="`apr-1-config --link-libtool --libs`"

or when linking directly:

    APR_LIBS="`apr-1-config --link-ld --libs`"

An application should use the results of --cflags, --cppflags, --includes, and --ldflags in their build process.

OPTIONS
Known values for OPTION are:

--prefix[=DIR]
    change prefix to DIR

--bindir
    print location where binaries are installed

--includedir
    print location where headers are installed

--cc
    print C compiler name

--cpp
    print C preprocessor name and any required options

--cflags
    print C compiler flags

--cppflags
    print C preprocessor flags

--includes
    print include information

--ldflags
    print linker flags

--libs
    print additional libraries to link against

--srcdir
    print APR source directory

--installbuilddir print APR build helper directory

--link-ld
    print link switch(es) for linking to APR

--link-libtool
    print the libtool inputs for linking to APR

--shlib-path-var
    print the name of the shared library path env var

--apr-la-file
    print the path to the .la file, if available

--apr-so-ext
    print the extensions of shared objects on this platform

--apr-lib-target
    print the libtool target information

--apr-libtool
    print the path to APR's libtool

--version
    print the APR's version as a dotted triple

--help
    print the help

AUTHOR
This manual page was written by Vincent Danjean <Vincent.Danjean@ens-lyon.org> for the Debian project (but may be used by others).